<?php 
class Application_Model_UserHasRole extends MyWeb_Model_Database
{

    protected $_storageName = 'UserHasRole';

    protected $_formClasses = array(
        'insert' => 'UserHasRoleNew',
        'update' => 'UserHasRoleEdit',
        'search' => 'UserHasRoleSearch'
        );

    public function fetchEntry($id)
    {
        // databázový adaptér
        $db = $this->getStorage()->getAdapter();
        
        // vytvoří SELECT
        $select = $db->select();
        if (is_null($id)){
        	$select	->	from(array('U' => 'UserHasRole'),
        						array('User_id_user'))
        ;
        }else {
        	$select	->	from(array('U' => 'UserHasRole'),
        				array('User_id_user'))
        
        			->	where('U.User_id_user = ?',$id);
        }
        // načítá údaje
        //echo "<p>".$select."</p>";
        $data['data'] = $db->fetchRow($select);
        return $data;
    }

    public function fetchEntries($data)
    {
        // databázový adaptér
        $db = $this->getStorage()->getAdapter();
        
        // vytvoří SELECT
        $select = $db	->	select()
        				->	from(array('U' => 'UserHasRole'),
        					array('User_id_user'))
        ;
        // načítá údaje
         if (is_null($data)){
        	//echo "<p>kompletni vypis</p>";
        }else {
        	if (array_key_exists('User_id_user', $data)){
        		if (!is_null($data['User_id_user']) && (strcmp($data['User_id_user'],"none") !== 0) && (strcmp($data['User_id_user'],"") !== 0)){
        			$select	->	where('U.User_id_user = ?',$data['User_id_user']); 
        		}
        	}
        
        }
        // načítá údaje
        //echo "<p>".$select."</p>";
        $data = $db->fetchAll($select);
        	return $data;
    }


}
